<Container @value={{@value.data.container}} @deviceSize={{@deviceSize}} data-name={{@value.name}}
  data-gid={{@value.gid}} data-path="{{@path}}.data.container" class="card-view use-highlights">

  <View::Picture @model={{@model}} @value={{@value}} @deviceSize={{@deviceSize}} @path={{@path}} @space={{@space}} @isEditor={{@isEditor}}/>

  <TextWithOptions
    @deviceSize={{@deviceSize}}
    @options={{@value.data.titleStyle}}
    @tag="h"
    @isEditor={{@isEditor}}
    class="use-highlights"
    data-text-value="true"
    data-path={{if @path (concat @path ".data.titleStyle")}}
    data-name="title"
    data-gid={{@value.gid}}>{{!--
    --}}{{@value.data.titleStyle.text}}{{!--
  --}}</TextWithOptions>

  <TextWithOptions
    @deviceSize={{@deviceSize}}
    @options={{@value.data.style}}
    @tag="p"
    @isEditor={{@isEditor}}
    class="use-highlights"
    data-text-value="true"
    data-path={{if @path (concat @path ".data.style")}}
    data-name="paragraph"
    data-gid={{@value.gid}}>{{!--
    --}}{{@value.data.style.text}}{{!--
  --}}</TextWithOptions>


  <Button
      @value={{@value.data.button}}
      @isEditor={{@isEditor}}
      @deviceSize={{@deviceSize}}
      @model={{@model}}
      data-path="{{@path}}.data.button"
      data-name={{@value.name}}
      data-gid={{@value.gid}}
      data-editor="button"
      data-type="button"
      data-model="page"
      data-model-id={{@model.page.id}}
    />

</Container>